package mkt_active

import (
	"net/http"

	"git.i2edu.net/i2/go-zero/rest/httpx"
	"git.i2edu.net/i2/i2-bill-api/internal/logic/mkt_active"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
)

func GetErpMktActiveHandler(ctx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {

		l := mkt_active.NewGetErpMktActiveLogic(r.Context(), ctx)
		resp, err := l.GetErpMktActive(r)
		if err != nil {
			httpx.Error(w, err)
		} else {
			httpx.OkJson(w, resp)
		}
	}
}
